Ubuntu

[Firefox 3.6.23] Impossible to open firefox because firefox-bin process is still running

Reported by rederon on 2011-10-16
186
This bug affects 35 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned
Lucid
High
Unassigned
Maverick
High
Unassigned
flashplugin-nonfree (Ubuntu)
Undecided
Unassigned
Lucid
High
Unassigned
Maverick
High
Unassigned

Bug Description

After upgrading firefox to version 3.6.23 few days ago, firefox does not work properly.

At firt use after computer starting, firefox works well.
It is possible to close firefox without any issue.
But at second starting, firefox indicates it is impossible to launch firefox because firefox-bin process is still running.
The workaround is to restart the computer, or simply kill the firefox-bin process.

This behaviour happened right after upgrading firefox to version 3.6.23, and is systematic with the profil user I use (it's an admin user).

I tested with another profil (non admin) on the computer: The problem has not been reproduced.

System is 10.04 LTS (kernel 2.6.32-33 generic)

Remi (boltz003) wrote :

problem occurs when you shut down the computer with Firefox still running. Simple solution is to delete the "lock" and ".parantlock" files from: //personal folder/.mozilla/firefox/(insert).default and firefox will run just fine again.

Hello,
Thanks for your answer.
But this does not works.
Maybe it's because there's no "lock" file within the directory?
However the ".parentlock" file is present.
This file is generated each time I close (properly) Firefox.
It seems this file prevent from opening again Firefox: When I delete it,
it's possible to reopen again Firefox without any issue.
Finally, removing the ".parentlock" file is another workaround.

Le 17/10/2011 18:54, Remi a écrit :
> problem occurs when you shut down the computer with Firefox still
> running. Simple solution is to delete the "lock" and ".parantlock" files
> from: //personal folder/.mozilla/firefox/(insert).default and firefox
> will run just fine again.
>

Remi (boltz003) wrote :

I've got 10.10.10 over here and also since I upgraded to 3.6.23 I got exactly the same issue. When I tried to shut down, a message box prompted me that firefox-bin wasn't shut down proparly and I had to kill the process or force a shut down.
Also when I closed Firefox and I tried to start it again it prompted that Firefox was already running.

The "lock" file seen to be a hyper link to an non existing target (broken).
After I've deleted this and the ".parentlock" file, Firefox did close down properly again and could start it as normal after I've closed it.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in firefox (Ubuntu):
status: New → Confirmed
Changed in firefox (Ubuntu):
status: Confirmed → Invalid
Changed in firefox (Ubuntu Lucid):
status: New → Triaged
Changed in firefox (Ubuntu Maverick):
status: New → Triaged
Changed in firefox (Ubuntu Lucid):
importance: Undecided → High
Changed in firefox (Ubuntu Maverick):
importance: Undecided → High
Chris Coulson (chrisccoulson) wrote :

This could be a flashplugin or firefox regression, and only affects people on 3.6. The first report of this was 3 days after the last flash update

Changed in flashplugin-nonfree (Ubuntu):
status: New → Invalid
Changed in flashplugin-nonfree (Ubuntu Lucid):
status: New → Triaged
Changed in flashplugin-nonfree (Ubuntu Maverick):
status: New → Triaged
Changed in flashplugin-nonfree (Ubuntu Lucid):
importance: Undecided → High
Changed in flashplugin-nonfree (Ubuntu Maverick):
importance: Undecided → High
Chris Coulson (chrisccoulson) wrote :

Would somebody be able to attach gdb to a hung firefox-bin process and get a trace? Instructions for that can be found at https://wiki.ubuntu.com/DebuggingProgramCrash. https://wiki.ubuntu.com/Backtrace explains how to attach gdb to an already running process

Ryan Tandy (rtandy) wrote :

pstree:

firefox-bin─┬─plugin-containe───{plugin-contain}
            └─2*[{firefox-bin}]

backtraces for firefox-bin (3 threads):

#0 0x00463422 in __kernel_vsyscall ()
#1 0x00830b5d in pthread_join () from /lib/tls/i686/cmov/libpthread.so.0
#2 0x01666f32 in PlatformThread::Join (thread_handle=3073375088) at ./src/base/platform_thread_posix.cc:119
#3 0x016546b1 in base::Thread::Stop (this=0xb7601200) at ./src/base/thread.cc:114
#4 0x015ed24b in ~BrowserProcessSubThread (this=0xb7601200, __in_chrg=<value optimized out>) at BrowserProcessSubThread.cpp:89
#5 0x0167c957 in mozilla::ShutdownXPCOM (servMgr=0xb7661344) at nsXPComInit.cpp:979
#6 0x00d3bf54 in ~ScopedXPCOMStartup (this=0xbfd2a75c, __in_chrg=<value optimized out>) at nsAppRunner.cpp:1052
#7 0x00d3fee4 in XRE_main (argc=1, argv=0xbfd2aa14, aAppData=0xb7618380) at nsAppRunner.cpp:3539
#8 0x00ac49e3 in main (argc=1, argv=0xbfd2aa14) at nsBrowserApp.cpp:158

#0 0x006b1422 in __kernel_vsyscall ()
#1 0x17788b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2 0x00eea8e9 in google_breakpad::CrashGenerationServer::Run (this=0xacfe7310) at crash_generation_server.cc:278
#3 0x00eea94c in google_breakpad::CrashGenerationServer::ThreadMain (arg=0xacfe7310) at crash_generation_server.cc:462
#4 0x00c3a96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5 0x17796a4e in clone () from /lib/tls/i686/cmov/libc.so.6

#0 0x006b1422 in __kernel_vsyscall ()
#1 0x00c42e0b in waitpid () from /lib/tls/i686/cmov/libpthread.so.0
#2 0x0180e36f in WaitForChildExit (this=0xab62e130) at ./src/chrome/common/process_watcher_posix_sigchld.cc:112
#3 0x0180e3d4 in KillProcess (this=0xab62e130) at ./src/chrome/common/process_watcher_posix_sigchld.cc:159
#4 0x0180e51a in ~ChildGrimReaper (this=0xab62e130, __in_chrg=<value optimized out>) at ./src/chrome/common/process_watcher_posix_sigchld.cc:134
#5 0x017e5d33 in MessageLoop::DeletePendingTasks (this=0xb71ff1d8) at ./src/base/message_loop.cc:422
#6 0x017e695d in ~MessageLoop (this=0xb71ff1d8, __in_chrg=<value optimized out>) at ./src/base/message_loop.cc:148
#7 0x017f25a0 in base::Thread::ThreadMain (this=0xb7501200) at ./src/base/thread.cc:175
#8 0x01804f0b in ThreadFunc (closure=0xb7501200) at ./src/base/platform_thread_posix.cc:26
#9 0x00c3a96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#10 0x17796a4e in clone () from /lib/tls/i686/cmov/libc.so.6

I wasn't able to attach to the plugin-container process. gdb says "ptrace: Operation not permitted".

So far I've only been able to reproduce this bug on machines with NVIDIA graphics hardware and Flash 11. All of them have been running the nvidia-current proprietary driver; I haven't had a chance to check nv yet. My laptop with ATi graphics and my Virtualbox VMs don't seem to be affected. We downgraded a lot of workstations to the previous adobe-flashplugin package (10.3) to work around the bug.

Chris Coulson (chrisccoulson) wrote :

Do you get a crash dialog appear?

Ryan Tandy (rtandy) wrote :

No, nothing. From the user's point of view it looks like Firefox has exited normally.

Ryan Tandy (rtandy) wrote :

I wasn't able to reproduce the problem with plugin-container disabled (dom.ipc.* set to false).

Alex Cockell (alcockell) wrote :

I concur. What I would also expect to see is Firefox maxing out both cores for approx 2-5 seconds as it unloads firefox-bin and plugin-container - this CPU peak does NOT happen if the user has been viewing Flash 11 content off Youtube... from their standard player. If I use iPlayer or 4OD - it seems to close down cleanly. There are also other times when the cleardown happens neatly.

It's made more complex in that Youtube seem to use a number of playout clients.

Re the unload cycle - it's almost like the UI is the only thing that unloads when the problem is experienced. You may have received the issue earlier - IF the problem didn't stand in the way of ubuntu-bug being able to submit the content. However, if Firefox cannot reopen and open the new tab - that incident is never logged. To submit mine, I had to kill Firefox-bin, then go and look at ubuntu-bug's doccos on how to log the data to the local filesystem, then once back in Firefox, get it to replay the incodent and push the data.

Paul Crawford (psc-sat) wrote :

I also see it on my PC (32-bit 10.04, nvidea graphics) but it is not always showing the plugin module running. One time this morning after it happened I got this:

paul@paul-ubuntu:~$ ps -Af | grep firefox
paul 29536 1 1 19:39 ? 00:01:13 /usr/lib/firefox-3.6.23/firefox-bin
paul 29589 29536 0 19:39 ? 00:00:00 /usr/lib/firefox-3.6.23/plugin-container /usr/lib/flashplugin-installer/libflashplayer.so 29536 plugin true
paul 32763 4940 0 21:20 pts/1 00:00:00 grep firefox

However a short while later it showed only this:

paul@paul-ubuntu:~$ ps -Af | grep firefox
paul 9215 4940 0 12:01 pts/1 00:00:00 grep firefox
paul 29536 1 0 Oct28 ? 00:07:13 /usr/lib/firefox-3.6.23/firefox-bin

As already commented, it looks like Firefox has closed normally, but clearly it has not.

Alex Cockell (alcockell) wrote :

I was testing the changes made to BBC iPlayer today - they're making more use of Stage Video stuff - which messes around with Flash and NVIDIA... Adobe's code...

And lo and behold, I had to kill firefox-bin manually.

Looks like there is a lot of interaction with bugs in Flash...

Hello,
Patch 3.6.24 received today solved the issue.

Le 16/10/2011 09:32, rederon a écrit :
> Public bug reported:
>
> After upgrading firefox to version 3.6.23 few days ago, firefox does not
> work properly.
>
> At firt use after computer starting, firefox works well.
> It is possible to close firefox without any issue.
> But at second starting, firefox indicates it is impossible to launch firefox because firefox-bin process is still running.
> The workaround is to restart the computer, or simply kill the firefox-bin process.
>
> This behaviour happened right after upgrading firefox to version 3.6.23,
> and is systematic with the profil user I use (it's an admin user).
>
> I tested with another profil (non admin) on the computer: The problem
> has not been reproduced.
>
> System is 10.04 LTS (kernel 2.6.32-33 generic)
>
> ** Affects: firefox (Ubuntu)
> Importance: Undecided
> Status: New
>

J.G. (imalner) wrote :

updated to 3.6.24, still nothing!

tadiv (tadiv-comcast) wrote :

I have the update to 3.6.24 and still have the problem...

Tom (tmcatee2) wrote :

So, it seems that no matter the version we still are having the problem with the FIreFox Bin not shutting down and falsely showing Fire Fox still running. As of now I have my system monitor on my pnl and always am having to double check that its not running before shutting down the computer. Otherwise if I don't pay attention to that and try to shut down the computer it still might be running and won't let me shut down. Damn thing of it is that it's not consistent. Sometimes I'm able to do a shut down normally or even restart Firefox. Other times if I shut down fire fox and try to restart it shows still running, and happens upon shutting down of computer, not allowing to shut down. So, what gives? What do we do besides keep the system monitor on the pnl to double check before shutdown of computer or restarting FF?

Right.
In fact the behaviour is not exactly the same as before.

Yesterday before ugrading to 3.6.24, I killed the firefox-bin process.
And I did not seen the problem. In fact, I just tested several time
opening and closing firefox and I did not noticed the issue.

But this morning at the first restart of my computer, I noticed the
problem again with 3.6.24.
Thus I killed the firefox-bin task like before.
And since, it works sometimes... depending on the _delay between opening
and closing firefox_.

I checked the ressources monitor during the tests.
It seems that during the _first 10 seconds after opening firefox_, it is
possible to close it without any issues.
I mean: It's possible to open and close again and again without seeing
the bad popup.

On the ressource monitor window, the value within "waiting channel"
column belonging to firefox-bin process is set to "0" during
approximately the first 10 seconds.
And as far as the value is 0, it works.

But after this delay, the value is set to "poll_schedule_timeout".
Then, if I close firefox, the firefox-bin process still remains, but
this time with waiting channel set to "futex_wait_queue_me".

And after that, it's not possible to open again firefox without killing
this process.

Maybe this behaviour was exactly the same with 3.6.23, but I did not
noticed it.
Perhaps some persons still with version 3.6.23 could confim.

However, it seems the issue is linked to a dynamic behaviour of a
timeout, and maybe the waiting channel is a track.

Le 11/11/2011 19:21, Igor Malner a écrit :
> updated to 3.6.24, still nothing!
>

Tom (tmcatee2) wrote :

I'm using 3.6.24 also. So, it's not the flash updates causing problem then? I just updated my flash this morning. Figured what the hell, already got problems with the FF, updating flash wouldn't make much more difference. ;)
Last night happened again, checked the monitor before close down and had to kill the bin before going to shut pc down.
Still a mystery.

freacert (erik-grtz) wrote :

Same problem here, Firefox 3.6.24, Ubuntu 10.04
Have the problems for a while, for sure they where there 3.6.23
Now and then, cannot trigger exactly when, have to kill the firefox bin in the system monitor to let firefox start up again.

and pc will not turn off without a forced shutdown.

A big thanks for the person who will solve this!!

Miroslav Stanchev (mirko-rs) wrote :

Same problem here, Ubuntu 10.04 with all updates, Firefox 3.6.24, Nvidia gt210 video card.

Tom Janes (portals) wrote :

While this is not a fix, it is a workaround for those who can't afford to have their machine down for any length of time. Simply dump the recent Flash upgrade, and go back one step and the problem is eradicated. I did this by loading SuperOS, Version Maverick 10.10 which has the older Flash package. I have disabled all Ubuntu updates, and the problem is completely eliminated and there is no loss of functionality using the older Flash system.

May I suggest therefore that someone package up Flash 10.3 to give us something to easily roll back to? needs pkg pbug is already filed. means other stuff CAN be updated.

----- Original message -----
> While this is not a fix, it is a workaround for those who can't afford
> to have their machine down for any length of time. Simply dump the
> recent Flash upgrade, and go back one step and the problem is
> eradicated. I did this by loading SuperOS, Version Maverick 10.10 which
> has the older Flash package.  I have disabled all Ubuntu updates, and
> the problem is completely eliminated and there is no loss of
> functionality using the older Flash system.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (872714).
> https://bugs.launchpad.net/bugs/875538
>
> Title:
>    [Firefox 3.6.23] Impossible to open firefox because firefox-bin
>    process is still running
>
> Status in “firefox” package in Ubuntu:
>    Invalid
> Status in “flashplugin-nonfree” package in Ubuntu:
>    Invalid
> Status in “firefox” source package in Lucid:
>    Triaged
> Status in “flashplugin-nonfree” source package in Lucid:
>    Triaged
> Status in “firefox” source package in Maverick:
>    Triaged
> Status in “flashplugin-nonfree” source package in Maverick:
>    Triaged
>
> Bug description:
>    After upgrading firefox to version 3.6.23 few days ago, firefox does
>    not work properly.
>
>    At firt use after computer starting, firefox works well.
>    It is possible to close firefox without any issue.
>    But at second starting, firefox indicates it is impossible to launch
> firefox because firefox-bin process is still running.  The workaround is
> to restart the computer, or simply kill the firefox-bin process.
>
>    This behaviour happened right after upgrading firefox to version
>    3.6.23, and is systematic with the profil user I use (it's an admin
>    user).
>
>    I tested with another profil (non admin) on the computer: The problem
>    has not been reproduced.
>
>    System is 10.04 LTS (kernel 2.6.32-33 generic)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/875538/+subscriptions

Tom (tmcatee2) wrote :

Some of us are already using a lower version of Ubuntu. I use Lucid 10.04. Don't want to mess with that.

Alex Cockell (alcockell) wrote :

i'm on lucid as well. Was referring to Flash. flash 10.0.x ios too old for most sites with video. Fallback from Flash 11 needs to be gtr than Flash 10.1 and it isn't.

----- Original message -----
> Some  of us are already using a lower version of Ubuntu. I use Lucid
> 10.04. Don't want to mess with that.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (872714).
> https://bugs.launchpad.net/bugs/875538
>
> Title:
>    [Firefox 3.6.23] Impossible to open firefox because firefox-bin
>    process is still running
>
> Status in “firefox” package in Ubuntu:
>    Invalid
> Status in “flashplugin-nonfree” package in Ubuntu:
>    Invalid
> Status in “firefox” source package in Lucid:
>    Triaged
> Status in “flashplugin-nonfree” source package in Lucid:
>    Triaged
> Status in “firefox” source package in Maverick:
>    Triaged
> Status in “flashplugin-nonfree” source package in Maverick:
>    Triaged
>
> Bug description:
>    After upgrading firefox to version 3.6.23 few days ago, firefox does
>    not work properly.
>
>    At firt use after computer starting, firefox works well.
>    It is possible to close firefox without any issue.
>    But at second starting, firefox indicates it is impossible to launch
> firefox because firefox-bin process is still running.  The workaround is
> to restart the computer, or simply kill the firefox-bin process.
>
>    This behaviour happened right after upgrading firefox to version
>    3.6.23, and is systematic with the profil user I use (it's an admin
>    user).
>
>    I tested with another profil (non admin) on the computer: The problem
>    has not been reproduced.
>
>    System is 10.04 LTS (kernel 2.6.32-33 generic)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/875538/+subscriptions

Tom Janes (portals) wrote :

When this problem first manifested itself, I made some comments in the 'bug' thread I started regarding my need to switch back to MS Vista that were somewhat aggravated. I would just like to take this moment to apologise to all Ubuntu developers for what I said. The problem is that the Flash update came right at the wrong time, right when I was in the middle of a very important operation. It took me two weeks to finish what I was doing, and in that time I never had so many problems with my machine until I reloaded the OEM version of Vista that came with my computer. I couldn't wait to switch back to the Ubuntu world again.

For the record, I think that Ubuntu is the best breath of fresh air that the PC world has ever seen. It makes anything that Microsoft ever created look sick by comparison, and I truly hope you all keep up the good work. If I wasn't so busy writing a new GUI based OS for FreeDOS, I would help you myself, but there are just so many hours in a day and I can't split them up any more.

Also, perhaps the Ubuntu community should seriously look into the possibility of writing it's own Flash player; one that is unique to this OS. That would eliminate all further problems from using outside software. Since we would not be changing the Flash format, just playing the files, copyright issues should not be a problem, particularly if it can be proven that the current Flash player from Adobe does not function properly in Linux because of a premeditated effort to remove an important facet of Internet use to the entire Linux community. If Adobe goes after Linux for any infringement suit, then we can always come back on them for an anti-trust suit, in that they are attempting to generate a 100% monopoly that is made only to benefit 'for profit' corporations like Microsoft and Apple. Taking this action would eliminate all future Flash revision situations like this in the future, as we would be able to make changes on-the-fly.

Sorry about the thread drift guys, but it was important for me to let you all know how I really feel.

Alex Cockell (alcockell) wrote :
Download full text (3.9 KiB)

The problem you have is that a key bit of the Adobe spec... That of SWF verification... Is NOT publicly specified. It's also used he/ily by the BBC and Channel 4 in iPlayer and 4OD. Rather critical needs...

----- Original message -----
> When this problem first manifested itself, I made some comments in the
> 'bug' thread I started regarding my need to switch back to MS Vista that
> were somewhat aggravated. I would just like to take this moment to
> apologise to all Ubuntu developers for what I said. The problem is that
> the Flash update came right at the wrong time, right when I was in the
> middle of a very important operation. It took me two weeks to finish
> what I was doing, and in that time I never had so many problems with my
> machine until I reloaded the OEM version of Vista that came with my
> computer.  I couldn't wait to switch back to the Ubuntu world again.
>
> For the record, I think that Ubuntu is the best breath of fresh air that
> the PC world has ever seen. It makes anything that Microsoft ever
> created look sick by comparison, and I truly hope you all keep up the
> good work. If I wasn't so busy writing a new GUI based OS for FreeDOS, I
> would help you myself, but there are just so many hours in a day and I
> can't split them up any more.
>
> Also, perhaps the Ubuntu community should seriously look into the
> possibility of writing it's own Flash player; one that is unique to this
> OS. That would eliminate all further problems from using outside
> software. Since we would not be changing the Flash format, just playing
> the files, copyright issues should not be a problem, particularly if it
> can be proven that the current Flash player from Adobe does not function
> properly in Linux because of a premeditated effort to remove an
> important facet of Internet use to the entire Linux community.  If Adobe
> goes after Linux for any infringement suit, then we can always come back
> on them for an anti-trust suit,  in that they are attempting to generate
> a 100% monopoly that is made only to benefit 'for profit' corporations
> like Microsoft and Apple.  Taking this action would eliminate all future
> Flash revision situations like this in the future, as we would be able
> to make changes on-the-fly.
>
> Sorry about the thread drift guys, but it was important for me to let
> you all know how I really feel.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (872714).
> https://bugs.launchpad.net/bugs/875538
>
> Title:
>    [Firefox 3.6.23] Impossible to open firefox because firefox-bin
>    process is still running
>
> Status in “firefox” package in Ubuntu:
>    Invalid
> Status in “flashplugin-nonfree” package in Ubuntu:
>    Invalid
> Status in “firefox” source package in Lucid:
>    Triaged
> Status in “flashplugin-nonfree” source package in Lucid:
>    Triaged
> Status in “firefox” source package in Maverick:
>    Triaged
> Status in “flashplugin-nonfree” source package in Maverick:
>    Triaged
>
> Bug description:
>    After upgrading firefox to version 3.6.23 few days ago, firefox does
>    not work properly.
>
>    At firt use after computer ...

Read more...

Tom Janes (portals) wrote :

Well, then we can always go the other way, Alex. Let's write a player that uses a format that is more efficient than Flash, only one that only Linux users can use. Where there is a will, there is a way. :) Besides, such a project would also let the entire world know just how important a player Linux is now in the PC game. It would be so nice to see them follow our lead for a change, instead of the other way around, don't you agree?

Tom (tmcatee2) wrote :

Did some searching about Open Flash and came across these:

http://blog.dreamcss.com/flash/free-flash-editors/

http://www.ehow.com/list_6940344_open-source-flash-players.html

http://www.red5server.org/

http://f4l.sourceforge.net/

http://f4l.sourceforge.net/

http://www.bestflashanimationsite.com/resources/open-source-flash/

Don't know if any of those are what you're looking for or not. But thought I'd pop them in for you to check out. We already have open source java, why not open source flash? Granted the open source java does have issues at times So, don't know if the open source flash would do as well either. Especially since we seem to be having this issue. Does the FF8 still have the same problems? Sorry for the possible wrong links but I don't know much about codes, what's involved etc so I have to do searches and hop that I grab the right info. Constantly learning things from reading, asking and doing. That's why after two years of dual booting I decided to go Linux all the way. Using Lucid now and constantly checking out the stuff in Distrowatch.com plus what I read and hear about of others that haven't been included in Distrowatch yet.

Paul Crawford (psc-sat) wrote :

A much easier work-around for most cases is the attached script that runs 'pkill firefox'.

Save it to your desktop, check its contents are not malicious (you always do that, right?) and change permissions to be executable.

Then if you get the warning about not being able to re-start firefox, just double-click and run the script, then try again. As a normal user you can't kill the processes of other logged-in users, so if there are other sessions of firefox running for others they won't get stopped.

I don't like the idea of regressing Flash, as most updates are important fixes for its Swiss cheese security. Linux is not immune to hacking! Even though Windows get the most attention, one should never ignore security patches for internet-facing software on ANY system..

Tom (tmcatee2) wrote :

I don't want to regress my system either. That's why when someone tells me to go lower I don't. My company used to use an older java. So when I tried to do something at home I wasn't able to get to some of their sites. Kept wanting me to downgrad my java. Wasn't any way in hell I was going to do that. So, if they mentioned to me as to why I didn't take a course I told them that I didn't have time to do so at work and at home I wasn't going to downgrade my security just to take some stupid course for them. That was when I had Windows, same thing with Linux too. Told them flat out I would never compromise my system for their sakes. I might be dumb at times but mama didn't raise any fools. :) For the time being I have my system monitor in the top pnl. Then right before shutdown I check to see if the FFbin is still showing there. If so then I do a kill process, close screen and then shut down pc. Guess I'll do that until they come out with an update or fix for this.
Don't know if any of the links I posted before will do any good for checking into the open source flash or not, but check them out for what they're worth. Might find something there.

Jérôme (jerome-bouat) wrote :

Why firefox couldn't keep in mind the processes it launched itself and then just kill them after a timeout while firefox shutdown ?

Jérôme (jerome-bouat) wrote :

Is there a way to ensure the script watch for a frozen process in order to kill it ?

---
j@dt:~$ file $(which firefox)
/usr/bin/firefox: symbolic link to `../lib/firefox-3.6.24/firefox.sh'
j@dt:~$ ls -l $
---

Hello all,
I was fed up killing every day the firefox-bin task as a workaround:
I did the upgrade towards latest version of firefox (FF 8) and it solved
the issue.

tadiv (tadiv-comcast) wrote :

I seem to have tripped over a possible workaround... IF I open an instance of Firefox, then don't use it, but instead open other instances when I actually want to browse, when I shut down all the instances (I usually have 3 or 4 running) I don't have this problem seemingly regardless of the browser activity I have had going on... Granted it takes a little memory, but that's better than the inconvenience of dealing with the hung process...

Tom

Marc Deslauriers (mdeslaur) wrote :

So, I've done a bit of research today, and this seems to be a combination of flash, firefox, and the nvidia binary driver.

- All versions of flash 10 work properly
- flash 11 with firefox 8 from the team PPA works properly

flash 11.1.102.55 with ff 3.6.3 - works
flash 11.1.102.55 with ff 3.6.6 - works
flash 11.1.102.55 with ff 3.6.8 - works
flash 11.1.102.55 with ff 3.6.9 - broken
flash 11.1.102.55 with ff 3.6.11 - broken
flash 11.1.102.55 with ff 3.6.21 - broken
flash 11.1.102.55 with ff 3.6.24 - broken

It seems something was introduced in firefox 3.6 that is causing the hang issues with flash 11.

JC Hulce (soaringsky) wrote :

This bug affects Ubuntu 10.10, Maverick Meerkat. Maverick has reached end-of-life and is no longer supported, so I am closing the bugtask for Maverick. Please upgrade to a newer version of Ubuntu.
More information here: https://lists.ubuntu.com/archives/ubuntu-announce/2012-April/000158.html

Changed in flashplugin-nonfree (Ubuntu Maverick):
status: Triaged → Invalid
Changed in firefox (Ubuntu Maverick):
status: Triaged → Invalid
Ryan Tandy (rtandy) wrote :

This can probably be closed, since Firefox 3.6 is now long gone.

To post a comment you must log in.